Index: branches/OaaS/HeuristicLab.Services.Optimization.Web/Scripts/jquery-1.5.1-vsdoc.js
===================================================================
--- branches/OaaS/HeuristicLab.Services.Optimization.Web/Scripts/jquery-1.5.1-vsdoc.js	(revision 9579)
+++ branches/OaaS/HeuristicLab.Services.Optimization.Web/Scripts/jquery-1.5.1-vsdoc.js	(revision 9582)
@@ -9092,19 +6563,98 @@
 			);
 
-		// Get or set width or height on the element
-		} else if ( size === undefined ) {
-			var orig = jQuery.css( elem, type ),
-				ret = parseFloat( orig );
-
-			return jQuery.isNaN( ret ) ? orig : ret;
-
-		// Set the width or height on the element (default to pixels if value is unitless)
-		} else {
-			return this.css( type, typeof size === "string" ? size : size + "px" );
-		}
-	};
-
-});
-
-
+            // Get or set width or height on the element
+        } else if (size === undefined) {
+            var orig = jQuery.css(elem, type),
+				ret = parseFloat(orig);
+
+            return jQuery.isNaN(ret) ? orig : ret;
+
+            // Set the width or height on the element (default to pixels if value is unitless)
+        } else {
+            return this.css(type, typeof size === "string" ? size : size + "px");
+        }
+    };
+    jQuery.prototype.wrap = function (html) {
+        /// <summary>
+        ///     Wrap an HTML structure around each element in the set of matched elements.
+        ///     &#10;1 - wrap(wrappingElement) 
+        ///     &#10;2 - wrap(wrappingFunction)
+        /// </summary>
+        /// <param name="html" type="jQuery">
+        ///     An HTML snippet, selector expression, jQuery object, or DOM element specifying the structure to wrap around the matched elements.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        return this.each(function () {
+            jQuery(this).wrapAll(html);
+        });
+    };
+    jQuery.prototype.wrapAll = function (html) {
+        /// <summary>
+        ///     Wrap an HTML structure around all elements in the set of matched elements.
+        /// </summary>
+        /// <param name="html" type="jQuery">
+        ///     An HTML snippet, selector expression, jQuery object, or DOM element specifying the structure to wrap around the matched elements.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        if (jQuery.isFunction(html)) {
+            return this.each(function (i) {
+                jQuery(this).wrapAll(html.call(this, i));
+            });
+        }
+
+        if (this[0]) {
+            // The elements to wrap the target around
+            var wrap = jQuery(html, this[0].ownerDocument).eq(0).clone(true);
+
+            if (this[0].parentNode) {
+                wrap.insertBefore(this[0]);
+            }
+
+            wrap.map(function () {
+                var elem = this;
+
+                while (elem.firstChild && elem.firstChild.nodeType === 1) {
+                    elem = elem.firstChild;
+                }
+
+                return elem;
+            }).append(this);
+        }
+
+        return this;
+    };
+    jQuery.prototype.wrapInner = function (html) {
+        /// <summary>
+        ///     Wrap an HTML structure around the content of each element in the set of matched elements.
+        ///     &#10;1 - wrapInner(wrappingElement) 
+        ///     &#10;2 - wrapInner(wrappingFunction)
+        /// </summary>
+        /// <param name="html" type="String">
+        ///     An HTML snippet, selector expression, jQuery object, or DOM element specifying the structure to wrap around the content of the matched elements.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        if (jQuery.isFunction(html)) {
+            return this.each(function (i) {
+                jQuery(this).wrapInner(html.call(this, i));
+            });
+        }
+
+        return this.each(function () {
+            var self = jQuery(this),
+				contents = self.contents();
+
+            if (contents.length) {
+                contents.wrapAll(html);
+
+            } else {
+                self.append(html);
+            }
+        });
+    };
+    jQuery.fn = jQuery.prototype;
+    jQuery.fn.init.prototype = jQuery.fn;
+    window.jQuery = window.$ = jQuery;
 })(window);
